Package org.eclipse.birt.core.template

# Class ParserTokenManager

java.lang.Object
org.eclipse.birt.core.template.ParserTokenManager

All Implemented Interfaces:
  `ParserConstants`

public class ParserTokenManager extends Object implements ParserConstants
Token Manager.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected char`
`curChar`
`PrintStream`
`debugStream`
Debug output.
`protected SimpleCharStream`
`input_stream`
`static final int[]`
`jjnewLexState`
Lex State array.
`static final String[]`
`jjstrLiteralImages`
Token literal values.
`static final String[]`
`lexStateNames`
Lexer state names.

### Fields inherited from interface org.eclipse.birt.core.template.ParserConstants

`A_EQ, A_NAME, ALPHA, ALPHANUM, ATTLIST, ATTRVAL, CDATA, DEFAULT, ELEMENTC, END_IMAGE, END_VALUEOF, END_VIEWTIMEVALUEOF, EOF, NUM, START_IMAGE, START_VALUEOF, START_VIEWTIMEVALUEOF, TAGC, TEXT, tokenImage`

## Constructor Summary

Constructors
Constructor
Description
`ParserTokenManager(SimpleCharStream stream)`
Constructor.
`ParserTokenManager(SimpleCharStream stream, int lexState)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Token`
`getNextToken()`
Get the next Token.
`protected Token`
`jjFillToken()`
`void`
`ReInit(SimpleCharStream stream)`
Reinitialise parser.
`void`
`ReInit(SimpleCharStream stream, int lexState)`
Reinitialise parser.
`void`
`setDebugStream(PrintStream ds)`
Set debug output.
`void`
`SwitchTo(int lexState)`
Switch to specified lex state.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### debugStream

public PrintStream debugStream
Debug output.

### jjstrLiteralImages

public static final String[] jjstrLiteralImages
Token literal values.

### lexStateNames

public static final String[] lexStateNames
Lexer state names.

### jjnewLexState

public static final int[] jjnewLexState
Lex State array.

### input_stream

protected SimpleCharStream input_stream

### curChar

protected char curChar

## Constructor Details

### ParserTokenManager

public ParserTokenManager(SimpleCharStream stream)
Constructor.

### ParserTokenManager

public ParserTokenManager(SimpleCharStream stream, int lexState)
Constructor.

## Method Details

### setDebugStream

public void setDebugStream(PrintStream ds)
Set debug output.

### ReInit

public void ReInit(SimpleCharStream stream)
Reinitialise parser.

### ReInit

public void ReInit(SimpleCharStream stream, int lexState)
Reinitialise parser.

### SwitchTo

public void SwitchTo(int lexState)
Switch to specified lex state.

### jjFillToken

protected Token jjFillToken()

### getNextToken

public Token getNextToken()
Get the next Token.